GET
/
api
/
v1
/
loans
/
{loan_ref}
Get loan
curl --request GET \
  --url http://34.170.194.254:8000/api/v1/loans/{loan_ref} \
  --header 'Authorization: Bearer <token>'
{
  "loan_ref": "<string>",
  "obligation_ref": "<string>",
  "rule_set_ref": "<string>",
  "borrower_ref": "<string>",
  "originating_lender_ref": "<string>",
  "origination_time": "2023-11-07T05:31:56Z",
  "enforcement_mode": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

loan_ref
string
required

Loan reference

Response

Loan details

Loan Read Response schema.

loan_ref
string
required

Loan reference

obligation_ref
string | null

Obligation reference

rule_set_ref
string | null

Rule set reference

borrower_ref
string | null

Borrower reference

originating_lender_ref
string | null

Lender reference

origination_time
string<date-time> | null

Loan origination timestamp

enforcement_mode
string | null

Current enforcement mode

created_at
string<date-time> | null

Loan creation timestamp